local fn = _gn(0xDCF06D0CDFF68424)
--- _HAS_ENTITY_BEEN_DAMAGED_BY_WEAPON
function Global.HasEntityBeenDamagedByWeapon(entity, weaponName, weaponType)
	return fn(entity, _ch(weaponName), weaponType, _ri)
end
